<?php 

/**
 * Register Menu Locations For The Theme
 * 
 * @since 1.0.0
 * @author TommusRhodus
 * @package acomb
 */
if(!( function_exists( 'ebor_register_nav_menus' ) )){
	function ebor_register_nav_menus() {
		register_nav_menus( 
			array(
				'primary'  => esc_html__( 'Standard Navigation', 'acomb' ),
				'footer'  => esc_html__( 'Footer Navigation', 'acomb' )
			) 
		);
	}
	add_action( 'init', 'ebor_register_nav_menus' );
}

if(!( function_exists( 'ebor_register_sidebars' ) )){
	function ebor_register_sidebars() {
	
		register_sidebar( 
			array(
				'id' 			=> 'primary',
				'name' 			=> esc_html__( 'Blog Sidebar', 'acomb' ),
				'description' 	=> esc_html__( 'Widgets to be displayed in the blog sidebar.', 'acomb' ),
				'before_widget' => '<div id="%1$s" class="sidebox widget %2$s">',
				'after_widget' 	=> '</div>',
				'before_title' 	=> '<h5 class="widget-title">',
				'after_title' 	=> '</h5>'
			) 
		);
		
		register_sidebar( 
			array(
				'id' 			=> 'page',
				'name' 			=> esc_html__( 'Page Sidebar', 'acomb' ),
				'description' 	=> esc_html__( 'Widgets to be displayed in the page sidebar.', 'acomb' ),
				'before_widget' => '<div id="%1$s" class="sidebox widget %2$s">',
				'after_widget' 	=> '</div>',
				'before_title' 	=> '<h5 class="widget-title">',
				'after_title' 	=> '</h5>'
			) 
		);

		register_sidebar(
			array(
				'id' 			=> 'footer1',
				'name' 			=> esc_html__( 'Footer Column 1', 'acomb' ),
				'description' 	=> esc_html__( 'If this is set, your footer will be 1 column', 'acomb' ),
				'before_widget' => '<div id="%1$s" class="widget clearfix %2$s">',
				'after_widget' 	=> '</div>',
				'before_title' 	=> '<h5 class="widget-title">',
				'after_title' 	=> '</h5>'
			)
		);
		
		register_sidebar(
			array(
				'id' 			=> 'footer2',
				'name' 			=> esc_html__( 'Footer Column 2', 'acomb' ),
				'description' 	=> esc_html__( 'If this & column 1 are set, your footer will be 2 columns.', 'acomb' ),
				'before_widget' => '<div id="%1$s" class="widget clearfix %2$s">',
				'after_widget' 	=> '</div>',
				'before_title' 	=> '<h5 class="widget-title">',
				'after_title' 	=> '</h5>'
			)
		);
		
		
		register_sidebar(
			array(
				'id' 			=> 'footer3',
				'name' 			=> esc_html__( 'Footer Column 3', 'acomb' ),
				'description' 	=> esc_html__( 'If this & column 1 & column 2 are set, your footer will be 3 columns.', 'acomb' ),
				'before_widget' => '<div id="%1$s" class="widget clearfix %2$s">',
				'after_widget' 	=> '</div>',
				'before_title' 	=> '<h5 class="widget-title">',
				'after_title' 	=> '</h5>'
			)
		);

	}
	add_action( 'widgets_init', 'ebor_register_sidebars' );
}
