<!doctype html>
<html <?php language_attributes(); ?>>

<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>

<?php $logo = get_option( 'custom_logo', EBOR_THEME_DIRECTORY . 'style/img/logo.png' ); ?>

<a href="#" id="header-trigger"><i class="icon-menu"></i></a>

<header id="main-header">
	
	<a href="<?php echo esc_url( home_url( '/') ); ?>">
		<img alt="<?php echo esc_attr( get_bloginfo( 'title' ) ); ?>" src="<?php echo esc_url( $logo ); ?>" />
	</a>
	
	<?php if( 'yes' == get_option( 'header_strapline', 'yes' ) ) : ?>
		<span><?php echo get_bloginfo( 'description' ); ?></span>
	<?php endif; ?>
	
	<nav id="main-nav" class="text-left">
		<?php
			if ( has_nav_menu( 'primary' ) ){
			    wp_nav_menu( 
			    	array(
				        'theme_location'    => 'primary',
				        'depth'             => 3,
				        'container'         => false,
				        'container_class'   => false,
				        'menu_class'        => false
			        )
			    );  
			}

			if( 'yes' == get_option( 'header_search', 'yes' ) ) {
				get_template_part( 'inc/content-header', 'search' );
			}
		?>
	</nav>
	
	<footer class="text-left">
		<?php
			echo wp_kses_post( 
				str_replace( 
					array( '*copy*', '*current_year*' ), 
					array( '&copy;', date( 'Y' ) ), 
					get_option( 'copyright', '*copy* *current_year* Acomb. By <a href="http://www.tommusrhodus.com">TommusRhodus</a>') 
				) 
			);
			get_template_part( 'inc/content-header', 'social' );
		?>
	</footer>
	
</header>

<main>
	<div class="col-lg-10 col-lg-offset-1">