<?php 
	$terms = get_the_terms( $post->ID , 'category', 'string' );
	$term_ids = array_values( wp_list_pluck( $terms,'term_id' ) );
	
	$related_query = new WP_Query( 
		array(
			'post_type' 			=> 'post',
			'tax_query' 			=> array(
				array(
					'taxonomy' 	=> 'category',
					'field' 	=> 'id',
					'terms' 	=> $term_ids,
					'operator'	=> 'IN' //Or 'AND' or 'NOT IN'
				)
			),
			'posts_per_page' 		=> 3,
			'ignore_sticky_posts' 	=> 1,
			'orderby' 				=> 'rand',
			'post__not_in' 			=> array($post->ID)
		) 
	);
	
	if( $related_query->found_posts == 0) {
		return false;
	}
?>   

<section class="inner related">
	<div class="row">
		<div class="col-sm-12">
			<h5 class="post-title"><?php esc_html_e( 'You May Also Like These Posts', 'acomb' ); ?></h5>
		</div>
	</div>
</section>

<div class="row">
	<div class="grid-blog clearfix">
		<?php 
			if ( $related_query->have_posts() ) : while ( $related_query->have_posts() ) : $related_query->the_post();
				
				/**
				 * Get blog posts by blog layout.
				 */
				get_template_part( 'loop/content', 'post-grid' );
			
			endwhile;	
			else : 
				
				/**
				 * Display no posts message if none are found.
				 */
				get_template_part( 'loop/content', 'none' );
				
			endif;
			wp_reset_postdata();
		?>
	</div>
</div>