/*-----------------------------------------------------------------------------------*/
/*	CUSTOM FUNCTIONS
/*-----------------------------------------------------------------------------------*/
jQuery.fn.setAllToMaxHeight = function(){
	return this.css({ 'height' : '' }).height( Math.max.apply(this, jQuery.map( this , function(e){ return jQuery(e).height() }) ) );
}
/*-----------------------------------------------------------------------------------*/
/*	DOCUMENT READY JS
/*-----------------------------------------------------------------------------------*/
jQuery(document).ready(function(){
	"use strict"; 
	
	var $body = jQuery('body'),
		$grid = jQuery('.grid-blog:not(.masonry) .grid .inner'),
		$gridContent = jQuery('.grid-blog:not(.masonry) .grid .inner .content'),
		$window = jQuery(window),
		$main = jQuery('main');
	
	/**
	 * Set content to match max height
	 */
	$grid.setAllToMaxHeight();
	$gridContent.setAllToMaxHeight();
	
	/**
	 * Lightbox Gallery
	 */
	jQuery('.tiles').lightGallery({
		thumbnail: true,
        selector: '.lgitem',
        animateThumb: true,
        showThumbByDefault: false,
        download: false,
        autoplayControls: true,
        thumbWidth: 100,
        thumbContHeight: 80,
        appendSubHtmlTo: '.lg-sub-html'
	}); 
	
	/**
	 * WordPress Stuff
	 */
	jQuery('p:empty').remove();
	
	jQuery('.comment-form label').each(function(){
		var text = jQuery(this).text();
		jQuery(this).next().attr('placeholder', text);
	});
	
	jQuery('.menu-item-has-children > a').append('<i class="icon-right-open pull-right"></i>');
	
	jQuery(".post-content p:has(iframe)").addClass('fit-vids').fitVids();
	
	/**
	 * Back to Top
	 */
	jQuery('#btt').click(function(){
		jQuery("html, body").animate({ scrollTop: 0 }, "slow");
		return false;
	});
	
	/**
	 * Mobile Menu
	 */
	jQuery('#header-trigger').click(function(){
		jQuery('body').toggleClass('nav-open');
		return false;
	});
	
	/**
	 * Append images to background
	 */
	jQuery('.caption-overlay, .background-image').each(function(){
		if( jQuery('img', this).length ){
			var $url = jQuery('img', this).attr('src');
			jQuery(this).css('background-image', 'url('+ $url +')');
			jQuery('img', this).css('display', 'none');
		}
	});
	
    // Twitter Feed
    jQuery('.tweets-feed').each(function(index) {
        jQuery(this).attr('id', 'tweets-' + index);
    }).each(function(index) {
		
        if(!( '' == jQuery('#tweets-' + index).attr('data-user-name') || undefined == jQuery('#tweets-' + index).attr('data-user-name') )){
            
            var TweetConfig = {
                "profile": {"screenName": jQuery('#tweets-' + index).attr('data-user-name')},
                "domId": '',
                "maxTweets": '5',
                "enableLinks": true,
                "showUser": true,
                "showTime": true,
                "dateFunction": '',
                "showRetweet": false,
                "customCallback": handleTweets
            };
            
        } else {
        
            var TweetConfig = {
                "id": jQuery('#tweets-' + index).attr('data-widget-id'),
                "domId": '',
                "maxTweets": '5',
                "enableLinks": true,
                "showUser": true,
                "showTime": true,
                "dateFunction": '',
                "showRetweet": false,
                "customCallback": handleTweets
            };
        
        }
		
        function handleTweets(tweets) {
            var x = tweets.length;
            var n = 0;
            var element = document.getElementById('tweets-' + index);
            var html = '<div class="twitter-slider owl-carousel">';
            while (n < x) {
                html += '<div>' + tweets[n] + '</div>';
                n++;
            }
            html += '</div>';
            element.innerHTML = html;
            return html;
        }

        twitterFetcher.fetch(TweetConfig);

    });

    // Instagram Feed
    if( jQuery('.instafeed').length && wp_data.access_token && wp_data.client_id ){
    	jQuery.fn.spectragram.accessData = {
    		accessToken: wp_data.access_token,
    		clientID: wp_data.client_id
    	};	
		
		jQuery('.instafeed').each(function() {
			var method = ( jQuery(this).attr('data-method') ) ? jQuery(this).attr('data-method') : 'getUserFeed';
		    jQuery(this).children('ul').spectragram( method, {
		        query: jQuery(this).attr('data-user-name'),
		        max: 6
		    });
		});
    }  
	
	//Demo Panel
	jQuery('.demo-panel .trigger').click(function(){
		jQuery(this).removeClass('pulse');
		jQuery('.modal').toggleClass('modal-open');
		return false;
	});
	
	//Remove Broken Sliders
	jQuery('.twitter-slider, .post-slider, .basic-slider, .post-carousel').each(function(){
		if( jQuery('.item', this).length == 1 || jQuery('.item', this).length == 0 )
			jQuery(this).parents('section').remove();
	});
	
});
/*-----------------------------------------------------------------------------------*/
/*	WINDOW LOAD JS
/*-----------------------------------------------------------------------------------*/
jQuery(window).load(function(){
	"use strict"; 
	
	var $grid = jQuery('.grid-blog:not(.masonry) .grid .inner'),
		$gridContent = jQuery('.grid-blog:not(.masonry) .grid .inner .content'),
		$window = jQuery(window);
	
	$grid.setAllToMaxHeight();
	$gridContent.setAllToMaxHeight();
	
	$window.resize(function(){
		$grid.setAllToMaxHeight();
		$gridContent.setAllToMaxHeight();
	});
	
	/**
	 * Twitter Owl Carousels
	 */
	jQuery('.twitter-slider').owlCarousel({
	    loop: true,
	    margin: 0,
	    nav: false,
	    dots: true,
	    items: 1,
	    autoHeight: true
	});
	
	/**
	 * Main post slider
	 */
	jQuery('.post-slider:not(.post-carousel, .basic-slider)').owlCarousel({
	    loop: true,
	    margin: 0,
	    nav: true,
	    dots: true,
	    items: 1,
	    navText: ['<i class="icon-left-open-big"></i>', '<i class="icon-right-open-big"></i>'],
	});
	
	/**
	 * Basic [gallery] shortcode slider
	 */
	jQuery('.basic-slider').owlCarousel({
	    loop: true,
	    margin: 0,
	    nav: true,
	    dots: true,
	    items: 1,
	    navText: ['<i class="icon-left-open-big"></i>', '<i class="icon-right-open-big"></i>'],
	    autoHeight: true
	});
	
	/**
	 * Post carousel
	 */
	jQuery('.post-carousel').owlCarousel({
	    loop: true,
	    margin: 0,
	    nav: true,
	    dots: true,
	    items: 3,
	    navText: ['<i class="icon-left-open-big"></i>', '<i class="icon-right-open-big"></i>'],
	    responsive : {
	        // breakpoint from 0 up
	        0 : {
	            items:1
	        },
	        // breakpoint from 768 up
	        1200 : {
	            items:2
	        },
	        1850 : {
	            items:3
	        }
	    }
	});
	
	//Masonry Blog
	jQuery('.masonry').masonry({
		itemSelector: '.grid',
		columnWidth: '.grid'
	});
	
	//Resize window, causes elements bound to resize to recalculate
	$window.trigger('resize');
	
});